From db24eb52caec6097b95d1604adcfeb8a29c72488 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Mon, 30 Dec 2019 07:47:30 -0500
Subject: [PATCH] gnu: Add gnome-menus.

* gnu/packages/gnome.scm (gnome-menus). New Variable.
---
 gnu/packages/gnome.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index e0712bf99a..607a546768 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -3848,6 +3848,27 @@ It is a basic GtkUIManager replacement based on GAction.  It is suitable for
 both a traditional UI or a modern UI with a GtkHeaderBar.")
     (license license:lgpl2.1+)))
 
+(define-public gnome-menus
+  (package
+    (name "gnome-menus")
+    (version "3.32.0")
+    (source (origin
+	      (method url-fetch)
+	      (uri (string-append "mirror://gnome/sources/gnome-menus/"
+				  (version-major+minor version) "/gnome-menus-" version ".tar.xz"))
+	      (sha256
+	       (base32 
+		"0x2blzqrapmbsbfzxjcdcpa3vkw9hq5k96h9kvjmy9kl415wcl68"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("glib" ,glib)
+       ("pkg-config" ,pkg-config)))
+    (synopsis "GNOME Menus")
+    (description "It contains the libgnome-menu library, the layout configuration files for the GNOME menu, as well as a simple menu editor. The libgnome-menu library implements the 'Desktop Menu Specification' from freedesktop.org.")
+    (home-page "https://gitlab.gnome.org/GNOME/gnome-menus")
+    (license license:gpl2+)))
+
 (define-public devhelp
   (package
     (name "devhelp")
-- 
2.24.1

